Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:47:57 2009

## Asterisk developer's documentation

# aes.h File Reference

This file contains the definitions required to use AES in C. See aesopt.h for optimisation details. More...

`#include "limits.h"`

Include dependency graph for aes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | aes_decrypt_ctx
struct | aes_encrypt_ctx

## Defines

#define | AES_128
#define | AES_BLOCK_SIZE 16
#define | AES_DECRYPT
#define | AES_ENCRYPT
#define | AES_ERR_CHK
#define | aes_error -1
#define | aes_good 0
#define | aes_ret int
#define | aes_rval aes_ret
#define | KS_LENGTH 64
#define | N_COLS 4

## Functions

aes_rval | aes_decrypt (const void *in_blk, void *out_blk, const aes_decrypt_ctx cx[1])
aes_rval | aes_decrypt_key128 (const void *in_key, aes_decrypt_ctx cx[1])
aes_rval | aes_encrypt (const void *in_blk, void *out_blk, const aes_encrypt_ctx cx[1])
aes_rval | aes_encrypt_key128 (const void *in_key, aes_encrypt_ctx cx[1])
void | gen_tabs (void)

## Detailed Description

This file contains the definitions required to use AES in C. See aesopt.h for optimisation details.

Definition in file aes.h.

## Define Documentation

#define AES_128

Definition at line 60 of file aes.h.

#define AES_BLOCK_SIZE 16

Definition at line 85 of file aes.h.

#define AES_DECRYPT

Definition at line 68 of file aes.h.

#define AES_ENCRYPT

Definition at line 67 of file aes.h.

#define AES_ERR_CHK

Definition at line 69 of file aes.h.

#define aes_error -1

Definition at line 97 of file aes.h.

#define aes_good 0

Definition at line 96 of file aes.h.

#define aes_ret int

Definition at line 95 of file aes.h.

#define aes_rval aes_ret

Definition at line 103 of file aes.h.

#define KS_LENGTH 64

Definition at line 92 of file aes.h.

#define N_COLS 4

Definition at line 86 of file aes.h.

## Function Documentation

aes_rval aes_decrypt | ( | const void * | in_blk,
|  | void * | out_blk,
|  | const aes_decrypt_ctx | cx[1] |
| ) |  |  |

Referenced by decrypt_memcpy(), and memcpy_decrypt().

aes_rval aes_decrypt_key128 | ( | const void * | in_key,
|  | aes_decrypt_ctx | cx[1] |
| ) |  |  |

Referenced by build_enc_keys(), check_key(), and update_key().

aes_rval aes_encrypt | ( | const void * | in_blk,
|  | void * | out_blk,
|  | const aes_encrypt_ctx | cx[1] |
| ) |  |  |

Referenced by encrypt_memcpy(), and memcpy_encrypt().

aes_rval aes_encrypt_key128 | ( | const void * | in_key,
|  | aes_encrypt_ctx | cx[1] |
| ) |  |  |

Referenced by build_enc_keys(), check_key(), and update_key().

void gen_tabs | ( | void |  | ) |

Definition at line 48 of file aestab.c.

    00049 {
    00050 }